org.eclipse.jetty.servlet.jmx

## Class ServletMappingMBean

- java.lang.Object
- - org.eclipse.jetty.jmx.ObjectMBean
  - - org.eclipse.jetty.servlet.jmx.ServletMappingMBean

All Implemented Interfaces:
  DynamicMBean

    public class ServletMappingMBean
    extends ObjectMBean

### Field Summary

### Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean

`_managed`

### Constructor Summary

Constructors
Constructor and Description
`ServletMappingMBean(Object managedObject)`

### Method Summary

Methods
`String` `getObjectNameBasis()`

### Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean

`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectContextBasis, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletMappingMBean

    public ServletMappingMBean(Object managedObject)

### Method Detail

#### getObjectNameBasis

    public String getObjectNameBasis()

Overrides:
  `getObjectNameBasis` in class `ObjectMBean`